## ayatana-indicator-notifications 0.8.90

=== CMakeLists.txt ===
project(ayatana-indicator-notifications C CXX)
cmake_minimum_required(VERSION 2.8.9)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(PROJECT_VERSION "0.8.90")
set(PACKAGE ${CMAKE_PROJECT_NAME})

##
##  GNU standard installation directories
##

include (GNUInstallDirs)
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-notifications")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

pkg_check_modules(SERVICE_DEPS REQUIRED
                  glib-2.0>=2.36
                  gio-2.0>=2.36
                  gio-unix-2.0>=2.36)

include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src)

##
##  Actual building
##

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Weverything")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded") # these are annoying
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation") # gtk-doc != doxygen
else()
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wformat=2") # Use -Wextra and -Wpedantic explicitly if needed
endif()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-missing-field-initializers") # GActionEntry


include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

include (UseGSettings)
set (SCHEMA_NAME "org.ayatana.indicator.notifications.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})
    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##  Ayatana Indicators File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.notifications")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

##
##  Icons
##

# where to install
set (ICON_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")

install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")

install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})"
        CODE "message (STATUS \"Updating icon cache\")")

=== po/CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)

=== src/CMakeLists.txt ===
set (SERVICE_LIB "ayatanaindicatornotificationsservice")
set (SERVICE_EXEC "ayatana-indicator-notifications-service")

add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-notifications")

# handwritten sources
set(SERVICE_MANUAL_SOURCES
    urlregex.c
    notification.c
    dbus-spy.c
    service.c)

# generated sources
include(GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)

# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})


# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-bad-function-cast") # g_clear_object()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
set_source_files_properties(${SERVICE_MANUAL_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

## ayatana-indicator-notifications 0.4.0

=== debian/changelog ===
ayatana-indicator-notifications (0.4.0-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 17:19:48 +0200

ayatana-indicator-notifications (0.4.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #893395).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Mar 2018 15:12:21 +0100

indicator-notifications (0.3.3-0~ppa~trusty) trusty; urgency=medium

  * New upstream release.
    - Add an option to clear notifications on icon middle click.

 -- Jason Conti <jason.conti@gmail.com>  Wed, 15 Mar 2017 13:56:32 -0400

indicator-notifications (0.3.2-0~ppa~trusty) trusty; urgency=medium

  * New upstream release.
    - Make sure to escape the urls.

 -- Jason Conti <jason.conti@gmail.com>  Mon, 29 Aug 2016 14:51:29 -0400

indicator-notifications (0.3.1-0~ppa~trusty) trusty; urgency=medium

  * New upstream release.
    - Added support for clicking links inside of the notification body.
    - Previously a notification could be dismissed by clicking anywhere inside
      of it, now there are three options:
      + Click the close image (the X on the right of the notification)
      + Press space to dismiss the notification but leave the window open
      + Press enter to dismiss the notification but close the window
    - The stock close image was replaced with custom images to show when a
      notification is selected. These can be replaced in your icon theme:
      + indicator-notification-close-select
      + indicator-notification-close-deselect
    - When the last notification is dismissed, close the menu

 -- Jason Conti <jason.conti@gmail.com>  Mon, 29 Aug 2016 13:44:54 -0400

indicator-notifications (0.2.7-0~ppa~trusty) trusty; urgency=medium

  * New upstream release.
    - Fix a serious memory leak in notification_new_from_dbus_message (LP:
    #1391649)

 -- Jason Conti <jason.conti@gmail.com>  Fri, 23 Oct 2015 18:00:19 -0400

indicator-notifications (0.2.6-0~ppa~saucy) saucy; urgency=low

  * New upstream release.
    - Fix icon theme changes
  * debian/patches/blacklist.patch:
    - Dropped, included upstream

 -- Jason Conti <jason.conti@gmail.com>  Wed, 15 Jan 2014 15:27:38 -0500

indicator-notifications (0.2.5-0~ppa~saucy2) saucy; urgency=low

  * debian/patches/blacklist.patch:
    - New GSetting:
      + "blacklist" - discard notifications matching appname

 -- Jason Conti <jason.conti@gmail.com>  Mon, 13 Jan 2014 12:15:19 -0500

indicator-notifications (0.2.5-0~ppa~quantal) quantal; urgency=low

  * New upstream release.
    - Add GSettings support:
      + "hide-indicator" - show/hide the indicator (LP: #1128516)
      + "max-items" - maximum number of notifications to display
  * debian/patches/eavesdrop-on-bus.patch:
    - Dropped, included upstream.

 -- Jason Conti <jason.conti@gmail.com>  Sun, 17 Feb 2013 22:52:59 -0500

indicator-notifications (0.2.4-0~ppa~quantal) quantal; urgency=low

  * debian/patches/eavesdrop-on-bus.patch:
    - Add eavesdrop=true to match string so we get notifications again.

 -- Jason Conti <jason.conti@gmail.com>  Tue, 02 Oct 2012 15:04:50 -0400

indicator-notifications (0.2.4-0~ppa~oneiric) oneiric; urgency=low

  * New upstream release.
    - Fix icon update on theme change.

 -- Jason Conti <jason.conti@gmail.com>  Wed, 04 Apr 2012 21:20:15 -0400

indicator-notifications (0.2.3-0~ppa~oneiric) oneiric; urgency=low

  * New upstream release.
    - Add secondary-activate to dismiss or reactivate unread status with
      middle click.
  * debian/control:
    - Bump standards to 3.9.3

 -- Jason Conti <jason.conti@gmail.com>  Wed, 04 Apr 2012 18:22:06 -0400

indicator-notifications (0.2.2-0~ppa~oneiric) oneiric; urgency=low

  * New upstream release.
    - Add better filtering for volume/brightness notifications.
    - Notifications can be removed using the keyboard.
      + Use spacebar to keep the menu open
      + Use enter to close the menu after remove a notification

 -- Jason Conti <jason.conti@gmail.com>  Sun, 26 Feb 2012 15:29:49 -0500

indicator-notifications (0.2.1-0~ppa~oneiric) oneiric; urgency=low

  * New upstream release.
    - Dropped notification service
    - Indicate notification count on clear menuitem
    - Keep a backlog of notifications beyond the limit of 5 visible
    - Click a notification to remove it
  * debian/rules:
    - Use the dh sequencer
    - Drop gtk2 build
  * debian/patches/reposition-menu.patch:
    - Dropped, reverted upstream
  * debian/indicator-notifications-gtk2.install:
    - Dropped, no longer building the gtk2 version (dropped upstream)

 -- Jason Conti <jason.conti@gmail.com>  Sat, 25 Feb 2012 22:45:43 -0500

indicator-notifications (0.1.4-2~ppa~oneiric) oneiric; urgency=low

  * debian/patches/reposition-menu.patch:
    - Backport menu positioning fix from lp:recent-notifications/indicator

 -- Jason Conti <jason.conti@gmail.com>  Sat, 20 Aug 2011 15:03:16 -0400

indicator-notifications (0.1.4-1~ppa~oneiric) oneiric; urgency=low

  * New upstream release (LP: #828972)
    - port to gtk3
  * Build both gtk2 and gtk3 packages

 -- Jason Conti <jason.conti@gmail.com>  Fri, 19 Aug 2011 13:51:47 -0400

indicator-notifications (0.1.1-2~natty) natty; urgency=low

  * Add intltool to the build-deps

 -- Jason Conti <jason.conti@gmail.com>  Thu, 19 May 2011 22:25:46 -0400

indicator-notifications (0.1.1-1~natty) natty; urgency=low

  * New upstream release
  * Removed several unnecessary dependencies

 -- Jason Conti <jason.conti@gmail.com>  Thu, 19 May 2011 20:58:09 -0400

indicator-notifications (0.1.0-1) natty; urgency=low

  * Initial release

 -- Jason Conti <jason.conti@gmail.com>  Thu, 19 May 2011 15:59:01 -0400

=== debian/control ===
Source: ayatana-indicator-notifications
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jason Conti <jason.conti@gmail.com>,
Build-Depends: debhelper (>= 11~),
               intltool,
               libayatana-indicator-dev (>= 0.3.93),
               libayatana-indicator3-dev (>= 0.3.93),
               libglib2.0-dev (>= 2.29),
               libgdk-pixbuf2.0-dev (>= 2.22),
               libgtk-3-dev (>= 3.1),
               mate-common,
               pkg-config,
Standards-Version: 4.2.0
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-bin,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using dconf-editor, you can blacklist certain notifications, so that
 they are not shown anymore by the notifications indicator.

## ayatana-indicator-notifications 0.4.1

=== debian/changelog ===
ayatana-indicator-notifications (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add DEP-12 compliant metadata file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Nov 2019 10:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jason Conti <jason.conti@gmail.com>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libayatana-indicator-dev (>= 0.3.93),
                libayatana-indicator3-dev (>= 0.3.93),
@@ -14,7 +14,8 @@
                libgtk-3-dev (>= 3.1),
                mate-common,
                pkg-config,
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-notifications

=== debian/rules ===
#!/usr/bin/make -f

DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	if [ ! -e po/ayatana-indicator-notifications.pot.bak ]; then \
	    cp po/ayatana-indicator-notifications.pot po/ayatana-indicator-notifications.pot.bak; \
	fi
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	        --disable-static

override_dh_auto_install:
	dh_auto_install
	find debian/ayatana-indicator-notifications -name \*.la -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	if [ -e po/ayatana-indicator-notifications.pot.bak ]; then \
	    mv -f po/ayatana-indicator-notifications.pot.bak po/ayatana-indicator-notifications.pot; \
	fi
	rm -f config.guess
	rm -f config.sub

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-notifications/ayatana-indicator-notifications-(.+)\.tar\.gz

## ayatana-indicator-notifications 0.8.1

=== debian/changelog ===
ayatana-indicator-notifications (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/docs:
    + Use README.md instead of README.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 15:55:22 +0200

ayatana-indicator-notifications (0.8.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add to D (ayatana-indicator-notifications): ayatana-indicator-common
      (>= 0.8.0).
    + Add B-D systemd for [linux-any] builds.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Drop --with system DH parameter.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 10:00:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jason Conti <jason.conti@gmail.com>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libayatana-indicator-dev (>= 0.3.93),
                libayatana-indicator3-dev (>= 0.3.93),
@@ -14,7 +14,8 @@
                libgtk-3-dev (>= 3.1),
                mate-common,
                pkg-config,
-Standards-Version: 4.4.1
+               systemd [linux-any],
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
@@ -24,6 +25,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
 Description: Ayatana Indicator for viewing recent notifications
  An Ayatana Indicator applet to display recent notifications sent to a

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	dh $@ --with autoreconf
 
 override_dh_autoreconf:
+	cp README.md README
 	if [ ! -e po/ayatana-indicator-notifications.pot.bak ]; then \
 	    cp po/ayatana-indicator-notifications.pot po/ayatana-indicator-notifications.pot.bak; \
 	fi
@@ -33,6 +34,7 @@
 	fi
 	rm -f config.guess
 	rm -f config.sub
+	rm -f README
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-notifications 0.8.2

=== debian/changelog ===
ayatana-indicator-notifications (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation for indicator-notifications.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
+Breaks: indicator-notifications,
+Replaces: indicator-notifications,
 Description: Ayatana Indicator for viewing recent notifications
  An Ayatana Indicator applet to display recent notifications sent to a
  notification daemon such as notify-osd.

## ayatana-indicator-notifications 0.8.90

=== debian/changelog ===
ayatana-indicator-notifications (0.8.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Re-write B-D field. Upstream now uses CMake for building this project
      and the indicator has been ported from classical indicator object to an
      indicator NG object.
    + Drop Debian UBports Team from Uploaders: field. This indicator is
      not relevant to Lomiri.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of the word 'Xfce'.
  * debian/watch:
    + Update format version to 4.
  * debian/rules:
    + Adapt to CMake based build.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 12:48:12 +0100

=== debian/control ===
Source: ayatana-indicator-notifications
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jason Conti <jason.conti@gmail.com>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Breaks: indicator-notifications,
Replaces: indicator-notifications,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using Ayatana Indicators Settings in the desktop environment's control
 center, you can blacklist certain notifications, so that they are not
 shown anymore by the notifications indicator.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
#!/usr/bin/make -f

DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find debian/ayatana-indicator-notifications -name \*.la -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-notifications/ayatana-indicator-notifications-(.+)\.tar\.gz

## ayatana-indicator-notifications 0.8.90-0+git20211020.373+12.nightly.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -78,6 +78,3 @@
 message (STATUS "${ICON_DIR} is the Icon install dir")
 
 install (DIRECTORY icons/scalable DESTINATION "${ICON_DIR}" FILES_MATCHING PATTERN "*.svg")
-
-install(CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${ICON_DIR})"
-        CODE "message (STATUS \"Updating icon cache\")")

=== debian/changelog ===
ayatana-indicator-notifications (0.8.90-0+git20211020.373+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    11d6a5f834c725d6dad54224f4f06397e7546a1f).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 20 Oct 2021 21:35:44 +0200

ayatana-indicator-notifications (0.8.90-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 17:08:40 +0100

ayatana-indicator-notifications (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:39:07 +0200

ayatana-indicator-notifications (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 21 Aug 2020 15:26:58 +0200

ayatana-indicator-notifications (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 17 Aug 2020 22:52:34 +0200

ayatana-indicator-notifications (0.4.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 Nov 2019 10:00:47 +0100

ayatana-indicator-notifications (0.4.0-0) unstable; urgency=medium

  * Convert to Ayatana Indicators. Obtained from:
    https://code.launchpad.net/~jconti/recent-notifications/indicator

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 18 Mar 2018 15:12:21 +0100

=== debian/control ===
Source: ayatana-indicator-notifications
Section: nightly/misc
Priority: optional
Maintainer: Jason Conti <jason.conti@gmail.com>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using dconf-editor, you can blacklist certain notifications, so that
 they are not shown anymore by the notifications indicator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@ --with systemd

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-notifications -name \*.la -delete
	find debian/ayatana-indicator-notifications -name \*.a -delete
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-notifications 22.2.0

=== CMakeLists.txt ===
project(ayatana-indicator-notifications C CXX)
cmake_minimum_required(VERSION 3.13)

set(PROJECT_VERSION "22.2.0")
set(PACKAGE ${CMAKE_PROJECT_NAME})

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-notifications")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

pkg_check_modules(SERVICE_DEPS REQUIRED
                  glib-2.0>=2.36
                  gio-2.0>=2.36
                  gio-unix-2.0>=2.36)

include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src)

##
##  Actual building
##

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
    endif()
endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,18 @@
 ##  GSettings schema
 ##
 
-include (UseGSettings)
 set (SCHEMA_NAME "org.ayatana.indicator.notifications.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
-# let UseGSettings do the rest
-add_schema (${SCHEMA_FILE})
+# let GSettings do the rest
+find_package(GSettings REQUIRED)
+add_schema (${SCHEMA_NAME})
 
 ##
 ##  Systemd Unit File
@@ -28,7 +29,6 @@
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
     # build it
-    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
     configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
     # install it
@@ -49,7 +49,6 @@
 set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
 
 # build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
 configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 
 # install it

=== debian/changelog ===
ayatana-indicator-notifications (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 17:06:22 +0100

ayatana-indicator-notifications (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: 4.6.0. No changes needed.
  * debian/rules:
    + Adjust for upstream release 0.9.0.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 23:05:43 +0100

=== debian/control ===
Source: ayatana-indicator-notifications
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jason Conti <jason.conti@gmail.com>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Breaks: indicator-notifications,
Replaces: indicator-notifications,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using Ayatana Indicators Settings in the desktop environment's control
 center, you can blacklist certain notifications, so that they are not
 shown anymore by the notifications indicator.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-notifications 22.2.0-0+git20220508.404+11.nightly.1

=== debian/changelog ===
ayatana-indicator-notifications (22.2.0-0+git20220508.404+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    09d3b477060c43ed26eee7de3326d6d236e84e64).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Sun, 08 May 2022 09:47:30 +0200

ayatana-indicator-notifications (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 22:18:59 +0100

ayatana-indicator-notifications (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 09:56:39 +0100

## ayatana-indicator-notifications 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(ayatana-indicator-notifications C CXX)
 cmake_minimum_required(VERSION 3.13)
 
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.9.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-notifications (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:07:10 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                intltool,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git

## ayatana-indicator-notifications 23.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,10 @@
-project(ayatana-indicator-notifications C CXX)
-cmake_minimum_required(VERSION 3.13)
-
-set(PROJECT_VERSION "22.9.0")
-set(PACKAGE ${CMAKE_PROJECT_NAME})
+cmake_minimum_required (VERSION 3.13)
+project (ayatana-indicator-notifications VERSION 23.10.0 LANGUAGES C CXX)
 
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" OFF)
-option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
-
-if(ENABLE_COVERAGE)
-    set(ENABLE_TESTS ON)
-    set(CMAKE_BUILD_TYPE "Coverage")
-else()
-    set(CMAKE_BUILD_TYPE "Release")
-endif()
+set (CMAKE_BUILD_TYPE "Release")
 
 if(ENABLE_WERROR)
     add_definitions("-Werror")
@@ -60,7 +49,7 @@
 ##  custom targets
 ##
 
-set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
+set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION})
 add_custom_target (dist
                    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
@@ -79,17 +68,7 @@
 add_subdirectory(data)
 add_subdirectory(po)
 
-if (ENABLE_TESTS)
-    include(CTest)
-    enable_testing()
-
-    if (ENABLE_COVERAGE)
-        find_package(CoverageReport)
-    endif()
-endif()
-
 # Display config info
 
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
-message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== debian/changelog ===
ayatana-indicator-notifications (23.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:15 +0000

ayatana-indicator-notifications (23.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:43 +0000

ayatana-indicator-notifications (23.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 17:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-notifications
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jason Conti <jason.conti@gmail.com>,
@@ -17,7 +18,7 @@
                intltool,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git

## ayatana-indicator-notifications 23.10.0-0+git20240312.457+10.nightly.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,8 @@
 pkg_check_modules(SERVICE_DEPS REQUIRED
                   glib-2.0>=2.36
                   gio-2.0>=2.36
-                  gio-unix-2.0>=2.36)
+                  gio-unix-2.0>=2.36
+                  libayatana-common>=0.9.3)
 
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

=== debian/changelog ===
ayatana-indicator-notifications (23.10.0-0+git20240312.457+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    3bf327261ffa97ff18f5b876651e021c997716eb).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Tue, 12 Mar 2024 13:45:52 +0100

ayatana-indicator-notifications (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:17:56 +0200

ayatana-indicator-notifications (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-notifications.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:23:44 +0200

=== debian/control ===
Source: ayatana-indicator-notifications
Section: nightly/misc
Priority: optional
Maintainer: Jason Conti <jason.conti@gmail.com>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libayatana-common-dev (>= 0.9.3),
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using dconf-editor, you can blacklist certain notifications, so that
 they are not shown anymore by the notifications indicator.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
-    -DENABLE_TESTS=ON \
-    -DENABLE_COVERAGE=OFF \
     $(NULL)
 
 %:

## ayatana-indicator-notifications 23.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-notifications VERSION 23.10.0 LANGUAGES C CXX)
+project (ayatana-indicator-notifications VERSION 23.10.1 LANGUAGES C CXX)
+
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
+endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 # Options

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,6 @@
 ##
 
 set (SCHEMA_NAME "org.ayatana.indicator.notifications.gschema.xml")
-set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let GSettings do the rest
 find_package(GSettings REQUIRED)

=== src/CMakeLists.txt ===
set (SERVICE_LIB "ayatanaindicatornotificationsservice")
set (SERVICE_EXEC "ayatana-indicator-notifications-service")
add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-notifications")

# handwritten sources
set(SERVICE_MANUAL_SOURCES
    urlregex.c
    notification.c
    dbus-spy.c
    service.c)

# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-notifications (23.10.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060603).
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Add B-D: libayatana-common-dev (>= 0.9.3).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake-extras, dpkg-dev,
      libglib2.0-dev and libnotify-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Apr 2024 20:36:35 +0200

=== debian/control ===
Source: ayatana-indicator-notifications
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jason Conti <jason.conti@gmail.com>,
Build-Depends: cmake,
               cmake-extras,
               gcovr,
               lcov,
               libayatana-common-dev (>=0.9.3),
               libnotify-dev,
               libglib2.0-dev,
# for packaging
               debhelper-compat (= 13),
               intltool,
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-notifications
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-notifications.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-notifications

Package: ayatana-indicator-notifications
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Breaks: indicator-notifications,
Replaces: indicator-notifications,
Description: Ayatana Indicator for viewing recent notifications
 An Ayatana Indicator applet to display recent notifications sent to a
 notification daemon such as notify-osd.
 .
 Using Ayatana Indicators Settings in the desktop environment's control
 center, you can blacklist certain notifications, so that they are not
 shown anymore by the notifications indicator.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
#!/usr/bin/make -f

DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find debian/ayatana-indicator-notifications -name \*.la -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
